#include <bits/stdc++.h>
#include "code.h"
using namespace std;

namespace {
    static vector<pair<int, int>> points;
    static vector<int> p;
    static int n;
    static int q;
    static int qt;
}
vector<pair<int, int>> ZapisiTacke(int n)
{
    vector<pair<int, int>> V;
    for(int i = 0; i <= n; i++)
    {
        if(i == 2 or i == n - 1) V.push_back({i, 1});
        else V.push_back({i, 0});
    }
    return V;
};
vector<int> Resi(int n, int q)
{
    vector<int> V;
    if(Pitaj(1, 2, 3) == -1) for(int i = 0; i <= n; i++) V.push_back(i);
    else for(int i = n + 1; i; i--) V.push_back(i);
    return V;
};